Debian Bug report logs - #733772
ITP: node-static -- RFC2616 compliant HTTP static-file server module, with built-in caching

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>

Date: Tue, 31 Dec 2013 19:09:07 UTC

Owned by: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>

Severity: wishlist

Fixed in version node-static/0.7.3-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#733772; Package wnpp. (Tue, 31 Dec 2013 19:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tonnerre LOMBARD <tonnerre@ancient-solutions.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 31 Dec 2013 19:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-static -- RFC2616 compliant HTTP static-file server module, with built-in caching
Date: Tue, 31 Dec 2013 20:07:53 +0100
Package: wnpp
Severity: wishlist
Owner: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>

* Package name    : node-static
  Version         : 0.7.2
  Upstream Author : Alexis Sellier <github@cloudhead.io>
* URL             : https://github.com/cloudhead/node-static
* License         : Expat
  Programming Lang: JavaScript
  Description     : RFC2616 compliant HTTP static-file server module, with built-in caching

node-static has an in-memory file cache, making it highly efficient. It
understands and supports conditional GET and HEAD requests. It was
inspired by some of the other static-file serving modules,
such as node-paperboy and antinode.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 11 Jan 2014 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Mon, 13 Jan 2014 10:03:15 GMT) Full text and rfc822 format available.

Notification sent to Tonnerre LOMBARD <tonnerre@ancient-solutions.com>:
Bug acknowledged by developer. (Mon, 13 Jan 2014 10:03:15 GMT) Full text and rfc822 format available.

Message #12 received at 733772-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 733772-close@bugs.debian.org
Subject: Bug#733772: fixed in node-static 0.7.3-1
Date: Mon, 13 Jan 2014 10:00:07 +0000
Source: node-static
Source-Version: 0.7.3-1

We believe that the bug you reported is fixed in the latest version of
node-static, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated node-static package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jan 2014 00:18:08 +0100
Source: node-static
Binary: node-static
Architecture: source all
Version: 0.7.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 node-static - RFC2616 compliant HTTP static-file server module with caching
Closes: 733772
Changes: 
 node-static (0.7.3-1) unstable; urgency=low
 .
   * Initial release. (Closes: #733772)
Checksums-Sha1: 
 56a8b84f1720e7f5f5f7bccc117a2c1c297cbcb7 1953 node-static_0.7.3-1.dsc
 db80813b5128b478c4b51692146fb008f3f38938 9824 node-static_0.7.3.orig.tar.gz
 a2901fba2f07cb1019f3deac56ae64929715d8f1 2737 node-static_0.7.3-1.debian.tar.gz
 4b08ba56ac4beeb2b6752e91cd9eb30f239e563e 10232 node-static_0.7.3-1_all.deb
Checksums-Sha256: 
 f52a46917a1eb8249adf032e414503316c8b82fdef4dcced0c8fa1d9f4fc61e4 1953 node-static_0.7.3-1.dsc
 35a9a69496a33ea8bdca677c2c3caf05e7922de27bd3a14fe0926dc5cc09eb8d 9824 node-static_0.7.3.orig.tar.gz
 9a6b8fb49f93cd6e362fcfd9ef881b46f782ad5ce7127586940caddc97c972b9 2737 node-static_0.7.3-1.debian.tar.gz
 a7e83c1249f7c0f4f7305de02574b9d49c0bb3193ba2481119bb0fbd467bf40d 10232 node-static_0.7.3-1_all.deb
Files: 
 8af15ad95645a6270d130e04665973b3 1953 web optional node-static_0.7.3-1.dsc
 a59bffa92303f64bf9f33b7d2fb87144 9824 web optional node-static_0.7.3.orig.tar.gz
 52aa1439ec5a16b040aa5843a9057777 2737 web optional node-static_0.7.3-1.debian.tar.gz
 aeea094d7ff8571691692434b4883c68 10232 web optional node-static_0.7.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS0H/9AAoJEGYRwF7dOfN0SkIQALpYgJsfdnt6msBq8gnkC4x4
AqTJ5eC0+3IviSxaTQg63Nn20n4XwZCPa1E+P3DWC2n8Fh/ZRGW58NEkQ+fJYbtC
9DG3RUDmea9xysSnWxQns6nSoJrNGdNoOBNW3oW1Xl//bNxZhGbd7++Fhk+JVceE
B6IP1Ia1N5J0GiihXuVnSzaL29+BqhfEFbAMTEU4yuWKyOaVAbtajBvZWeEiPJHJ
xwuStWLDx06ridr+SGewqKWSLE5VOYxa0tXzza75kkO1heCoqGJyVimiecz+LxPc
sEmVGKdC3zSFKbvdKVyCWYKiiK58u4MY7Ozeabk9ceBYhkocv3LtGEDW3MiEVL3H
Zs05iKxnF0tWVyynUCVPBCYsfNQxqm5E+bzJPexAHt2GAqUyqBMdQUmArYA7gLd4
eV+cdQYt2m366YXsa8TX4k+qBRUbUu6Jump4oGIM6i/1YasulJ4+4kkZEaLk94HC
wvvz6QJGhTKUEw/Q4gCYjyu8ogAPGDg5TTzRhEjR4/gWxiaGPvNJa95LtL+5Wax0
DDbXlN3yc4IQeIM3mqR+Hhemcc6Wse+tQpThI1FDMyAIcm9K/Gao2JmF9Id7A8Oa
fX3Y7giluLCBquh6o4lsHbdomdDtUwMrB7He6nIUJfqWGTBYvEl3OFMMm6pD5re8
KtnK7Wi1qgvTxJ4xoVC3
=wKRt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Feb 2014 07:31:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:59:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.